Bug 830162 - Some features of org-mode work only with emacs-el installed
Some features of org-mode work only with emacs-el installed
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Karel Klíč
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-08 08:33 EDT by Stefan Ring
Modified: 2013-03-03 18:03 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-23 16:26:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Ring 2012-06-08 08:33:51 EDT
Description of problem:

In particular, the clocking feature does not work. C-c C-x TAB (org-clock-in) causes this message to be displayed: "Can't find library org".


Version-Release number of selected component (if applicable):

24.0.95-1.fc17


Steps to Reproduce:
1. Open a lisp-interaction buffer
2. Type "(require 'org-clock)"
3. Press C-x C-e

  
Actual results:

Debugger entered--Lisp error: (error "Can't find library org")
  signal(error ("Can't find library org"))
  error("Can't find library %s" "org")
  find-library-name("org")
  (file-name-directory (find-library-name "org"))
  (expand-file-name "../contrib" (file-name-directory (find-library-name "org")))
  (file-name-as-directory (expand-file-name "../contrib" (file-name-directory (find-library-name "org"))))
  (expand-file-name "scripts" (file-name-as-directory (expand-file-name "../contrib" (file-name-directory (find-library-name "org")))))
  (file-name-as-directory (expand-file-name "scripts" (file-name-as-directory (expand-file-name "../contrib" (file-name-directory (find-library-name "org"))))))
  (expand-file-name "ditaa.jar" (file-name-as-directory (expand-file-name "scripts" (file-name-as-directory (expand-file-name "../contrib" (file-name-directory (find-library-name "org")))))))
  eval((expand-file-name "ditaa.jar" (file-name-as-directory (expand-file-name "scripts" (file-name-as-directory (expand-file-name "../contrib" (file-name-directory (find-library-name "org"))))))))
  custom-initialize-reset(org-ditaa-jar-path (expand-file-name "ditaa.jar" (file-name-as-directory (expand-file-name "scripts" (file-name-as-directory (expand-file-name "../contrib" (file-name-directory (find-library-name "org"))))))))
  custom-declare-variable(org-ditaa-jar-path (expand-file-name "ditaa.jar" (file-name-as-directory (expand-file-name "scripts" (file-name-as-directory (expand-file-name "../contrib" (file-name-directory (find-library-name "org"))))))) ("/usr/share/emacs/24.0.95/lisp/org/org-exp-blocks.elc" . 6097) :group org-babel :type string)
  require(org-exp-blocks)
  byte-code("\300\301!\210\300\302!\210\300\303!\210\300\304!\210\300\305!\210\300\306!\207" [require org org-macs org-agenda org-exp-blocks ob-exp org-src] 2)
  require(org-exp)
  byte-code("\300\301!\210\300\302!\210\303\304\305\306\307\310\311\312&\207" [require org org-exp custom-declare-group org-clock nil "Options concerning clocking working time in Org-mode." :tag "Org Clock" :group org-progress] 8)
  require(org-clock)
  eval((require (quote org-clock)) nil)
  eval-last-sexp-1(nil)
  eval-last-sexp(nil)
  call-interactively(eval-last-sexp nil nil)


Expected results:

org-clock is loaded


Additional info:

With the emacs-el package installed, it works as it should.
Comment 1 Mihkel Vain 2012-06-23 12:47:57 EDT
Any news on this one? Or is emacs-el package required now to be able to export org documents?
Comment 2 Jonathan Underwood 2012-06-25 08:50:57 EDT
My personal feeling is that we should (in the spirit of the emacs add-on packaging guidelines) no longer bother to split out the .el[.gz] files into a sub-package, but rather install them with the main package - they're useful for debugging, doc strings etc. In many ways they're as useful as .py files from python packages.

As to this specific problem, I wonder why org-mode isn't able to use the byte-compiled files, though.
Comment 3 Karel Klíč 2012-07-11 11:04:05 EDT
Thank you for such a good bug report.

The issue can be reproduced on emacs-24.1-1.fc17. The workaround (installing emacs-el) works.

Requiring org-clock results in requiring org-exp-blocks, which defines org-ditaa-jar-path. The definition results in evaluating (find-library-name "org"). The find-library-name function specifically looks for .el and .el.gz source code, deliberately ignoring .elc.

I think org-ditaa-jar-path could work with the locate-library function instead of find-library-name. I'm going to try that.



Jonathan, it is a good idea to merge emacs-el into emacs-common.  Please, feel free to change the spec file if you want to do it. I think it should go to rawhide only.
Comment 5 Fedora Update System 2012-07-13 05:57:54 EDT
emacs-24.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/emacs-24.1-3.fc17
Comment 6 Fedora Update System 2012-07-14 17:55:45 EDT
Package emacs-24.1-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing emacs-24.1-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10635/emacs-24.1-3.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-07-23 16:26:18 EDT
emacs-24.1-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.